from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFlatParagraphIterator(XInterface, Protocol):
    def getFirstPara(self) -> XFlatParagraph: ...
    def getNextPara(self) -> XFlatParagraph: ...
    def getLastPara(self) -> XFlatParagraph: ...
